#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1523232245.987318
__CHEETAH_genTimestamp__ = 'Mon Apr  9 02:04:05 2018'
__CHEETAH_src__ = '/home/jan/openbh/openpli-oe-core/build/tmp/work/dm900-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+c5ca1af6d6-r0/git/plugin/controllers/views/responsive/ajax/at.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Apr  9 02:03:53 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class at(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(at, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_82350696 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''
<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-8 col-md-9">
\t\t\t\t\t<h2 id="configtitle"><i class="material-icons material-icons-centered">history</i>''')
        _v = VFFSL(SL,"tstrings",True)['at_at_edit'] # u"$tstrings['at_at_edit']" on line 10, col 88
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_at_edit']")) # from line 10, col 88.
        write(u'''<span id=\'at_name\'></span></h2>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 hidden-sm hidden-md hidden-lg hidden-xl">
\t\t\t\t\t<div class="row vti-vspace-20"></div>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 col-sm-4 col-md-3">
\t\t\t\t\t<select id="atlist" class="form-control"></select>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
<div class="body" >
\t\t\t<div id="content_main">
\t\t\t\t<div id="info">
\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 hidden-sm hidden-md hidden-lg hidden-xl">
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="addAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 27, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 27, col 71.
        write(u''' waves-effect" ><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 27, col 136
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 27, col 136.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="delAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 28, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 28, col 71.
        write(u''' waves-effect" ><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # u"$tstrings['at_del']" on line 28, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_del']")) # from line 28, col 139.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="reloadAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 33, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 33, col 74.
        write(u''' waves-effect" ><i class="material-icons">autorenew</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_reload'] # u"$tstrings['at_reload']" on line 33, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reload']")) # from line 33, col 145.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="saveAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 34, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 34, col 72.
        write(u''' waves-effect" ><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # u"$tstrings['at_save']" on line 34, col 138
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_save']")) # from line 34, col 138.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="parseAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 39, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 39, col 73.
        write(u''' waves-effect" ><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_parse'] # u"$tstrings['at_parse']" on line 39, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_parse']")) # from line 39, col 139.
        write(u'''</span></span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(true); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 40, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 40, col 85.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # u"$tstrings['at_simulate']" on line 40, col 204
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_simulate']")) # from line 40, col 204.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(false); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 45, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 45, col 86.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="listTimers(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 46, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 46, col 76.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerList" ><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # u"$tstrings['at_timers']" on line 46, col 190
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timers']")) # from line 46, col 190.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 51, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 51, col 132.
        write(u''' waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 51, col 170
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 51, col 170.
        write(u'''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # u"$tstrings['at_settings']" on line 51, col 252
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_settings']")) # from line 51, col 252.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 hidden-xs hidden-md hidden-lg hidden-xl">
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="addAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 58, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 58, col 71.
        write(u''' waves-effect" ><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 58, col 136
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 58, col 136.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="delAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 59, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 59, col 71.
        write(u''' waves-effect" ><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # u"$tstrings['at_del']" on line 59, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_del']")) # from line 59, col 139.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="reloadAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 60, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 60, col 74.
        write(u''' waves-effect" ><i class="material-icons">autorenew</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_reload'] # u"$tstrings['at_reload']" on line 60, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reload']")) # from line 60, col 145.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="saveAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 61, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 61, col 72.
        write(u''' waves-effect" ><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # u"$tstrings['at_save']" on line 61, col 138
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_save']")) # from line 61, col 138.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="parseAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 66, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 66, col 73.
        write(u''' waves-effect" ><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_parse'] # u"$tstrings['at_parse']" on line 66, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_parse']")) # from line 66, col 139.
        write(u'''</span></span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(true); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 67, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 67, col 85.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # u"$tstrings['at_simulate']" on line 67, col 204
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_simulate']")) # from line 67, col 204.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(false); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 68, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 68, col 86.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="listTimers(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 69, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 69, col 76.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerList" ><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # u"$tstrings['at_timers']" on line 69, col 190
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timers']")) # from line 69, col 190.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 74, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 74, col 132.
        write(u''' waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 74, col 170
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 74, col 170.
        write(u'''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # u"$tstrings['at_settings']" on line 74, col 252
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_settings']")) # from line 74, col 252.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 hidden-xs hidden-sm hidden-lg hidden-xl">
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="addAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 81, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 81, col 71.
        write(u''' waves-effect" ><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 81, col 136
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 81, col 136.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="delAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 82, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 82, col 71.
        write(u''' waves-effect" ><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # u"$tstrings['at_del']" on line 82, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_del']")) # from line 82, col 139.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="reloadAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 83, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 83, col 74.
        write(u''' waves-effect" ><i class="material-icons">autorenew</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_reload'] # u"$tstrings['at_reload']" on line 83, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reload']")) # from line 83, col 145.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="saveAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 84, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 84, col 72.
        write(u''' waves-effect" ><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # u"$tstrings['at_save']" on line 84, col 138
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_save']")) # from line 84, col 138.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="parseAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 85, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 85, col 73.
        write(u''' waves-effect" ><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_parse'] # u"$tstrings['at_parse']" on line 85, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_parse']")) # from line 85, col 139.
        write(u'''</span></span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(true); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 86, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 86, col 85.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # u"$tstrings['at_simulate']" on line 86, col 204
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_simulate']")) # from line 86, col 204.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(false); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 91, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 91, col 86.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="listTimers(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 92, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 92, col 76.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerList" ><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # u"$tstrings['at_timers']" on line 92, col 190
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timers']")) # from line 92, col 190.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 93, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 93, col 132.
        write(u''' waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 93, col 170
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 93, col 170.
        write(u'''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # u"$tstrings['at_settings']" on line 93, col 252
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_settings']")) # from line 93, col 252.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 align-center hidden-xs hidden-sm hidden-md">
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="addAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 100, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 100, col 71.
        write(u''' waves-effect" ><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 100, col 136
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 100, col 136.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="delAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 101, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 101, col 71.
        write(u''' waves-effect" ><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # u"$tstrings['at_del']" on line 101, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_del']")) # from line 101, col 139.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="reloadAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 102, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 102, col 74.
        write(u''' waves-effect" ><i class="material-icons">autorenew</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_reload'] # u"$tstrings['at_reload']" on line 102, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reload']")) # from line 102, col 145.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="saveAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 103, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 103, col 72.
        write(u''' waves-effect" ><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # u"$tstrings['at_save']" on line 103, col 138
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_save']")) # from line 103, col 138.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="parseAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 104, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 104, col 73.
        write(u''' waves-effect" ><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_parse'] # u"$tstrings['at_parse']" on line 104, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_parse']")) # from line 104, col 139.
        write(u'''</span></span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(true); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 105, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 105, col 85.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # u"$tstrings['at_simulate']" on line 105, col 204
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_simulate']")) # from line 105, col 204.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(false); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 106, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 106, col 86.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="listTimers(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 107, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 107, col 76.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerList" ><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # u"$tstrings['at_timers']" on line 107, col 190
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timers']")) # from line 107, col 190.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 108, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 108, col 132.
        write(u''' waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 108, col 170
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 108, col 170.
        write(u'''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # u"$tstrings['at_settings']" on line 108, col 252
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_settings']")) # from line 108, col 252.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix vti-masked-input">
\t\t\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t\t\t\t\t\t\t<div id="ateditcontent">
\t\t\t\t\t\t\t\t<form><fieldset style="border:none">
\t\t\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_enabled'] # u"$tstrings['at_enabled']" on line 122, col 22
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_enabled']")) # from line 122, col 22.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" id="enabled" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 123, col 79
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 123, col 79.
        write(u'''" value="">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="enabled">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_description'] # u"$tstrings['at_description']" on line 131, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_description']")) # from line 131, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div  class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control" id="name">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timer_type'] # u"$tstrings['at_timer_type']" on line 141, col 22
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timer_type']")) # from line 141, col 22.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="justplay">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="0" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['at_record'] # u"$tstrings['at_record']" on line 143, col 54
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_record']")) # from line 143, col 54.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="1">''')
        _v = VFFSL(SL,"tstrings",True)['at_zap'] # u"$tstrings['at_zap']" on line 144, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_zap']")) # from line 144, col 34.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="2">''')
        _v = VFFSL(SL,"tstrings",True)['at_record'] # u"$tstrings['at_record']" on line 145, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_record']")) # from line 145, col 34.
        write(u'''+''')
        _v = VFFSL(SL,"tstrings",True)['at_zap'] # u"$tstrings['at_zap']" on line 145, col 57
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_zap']")) # from line 145, col 57.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_title_match'] # u"$tstrings['at_title_match']" on line 155, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_title_match']")) # from line 155, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div  class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" id="match" >
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_search_type'] # u"$tstrings['at_search_type']" on line 165, col 22
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_search_type']")) # from line 165, col 22.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="searchType">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="partial" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['at_partial_match'] # u"$tstrings['at_partial_match']" on line 167, col 60
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_partial_match']")) # from line 167, col 60.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="exact">''')
        _v = VFFSL(SL,"tstrings",True)['at_exact_match'] # u"$tstrings['at_exact_match']" on line 168, col 38
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_exact_match']")) # from line 168, col 38.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="description">''')
        _v = VFFSL(SL,"tstrings",True)['at_description_match'] # u"$tstrings['at_description_match']" on line 169, col 44
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_description_match']")) # from line 169, col 44.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="full">''')
        _v = VFFSL(SL,"tstrings",True)['at_title_or_description_match'] # u"$tstrings['at_title_or_description_match']" on line 170, col 37
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_title_or_description_match']")) # from line 170, col 37.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="shortdesc">''')
        _v = VFFSL(SL,"tstrings",True)['at_short_description_match'] # u"$tstrings['at_short_description_match']" on line 171, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_short_description_match']")) # from line 171, col 42.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="title_shortdesc">''')
        _v = VFFSL(SL,"tstrings",True)['at_title_or_short_description_match'] # u"$tstrings['at_title_or_short_description_match']" on line 172, col 48
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_title_or_short_description_match']")) # from line 172, col 48.
        write(u'''</option>
''')
        if VFN(VFFSL(SL,"types",True),"has_key",False)('start'): # generated from line 173, col 16
            write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="start">''')
            _v = VFFSL(SL,"tstrings",True)['at_start_match'] # u"$tstrings['at_start_match']" on line 174, col 39
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_start_match']")) # from line 174, col 39.
            write(u'''</option>
''')
        write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_search_strictness'] # u"$tstrings['at_search_strictness']" on line 183, col 22
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_search_strictness']")) # from line 183, col 22.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="searchCase">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="sensitive" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['at_case_sensitive'] # u"$tstrings['at_case_sensitive']" on line 185, col 62
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_case_sensitive']")) # from line 185, col 62.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="insensitive">''')
        _v = VFFSL(SL,"tstrings",True)['at_case_insensitive'] # u"$tstrings['at_case_insensitive']" on line 186, col 44
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_case_insensitive']")) # from line 186, col 44.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_timespan'] # u"$tstrings['at_timespan']" on line 196, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timespan']")) # from line 196, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 197, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 197, col 66.
        write(u'''" id="timeSpan">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timeSpan">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<span id="timeSpanE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timespan_begin'] # u"$tstrings['at_timespan_begin']" on line 206, col 23
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timespan_begin']")) # from line 206, col 23.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="input-group">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span class="input-group-addon">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">access_time</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" id="from" class="form-control inactive time24" placeholder="06:30">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timespan_end'] # u"$tstrings['at_timespan_end']" on line 221, col 23
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timespan_end']")) # from line 221, col 23.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="input-group">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span class="input-group-addon">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">access_time</i>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" id="to" class="form-control inactive time24" placeholder="23:30">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<span>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup'] # u"$tstrings['at_avoid_dup']" on line 239, col 22
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_avoid_dup']")) # from line 239, col 22.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="avoidDuplicateDescription">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="0" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup_no'] # u"$tstrings['at_avoid_dup_no']" on line 241, col 54
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_avoid_dup_no']")) # from line 241, col 54.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="1">''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup_same_service'] # u"$tstrings['at_avoid_dup_same_service']" on line 242, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_avoid_dup_same_service']")) # from line 242, col 34.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="2">''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup_any_service'] # u"$tstrings['at_avoid_dup_any_service']" on line 243, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_avoid_dup_any_service']")) # from line 243, col 34.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="3">''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup_any_service_rec'] # u"$tstrings['at_avoid_dup_any_service_rec']" on line 244, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_avoid_dup_any_service_rec']")) # from line 244, col 34.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_datespan_before'] # u"$tstrings['at_datespan_before']" on line 252, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_datespan_before']")) # from line 252, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 253, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 253, col 66.
        write(u'''" id="timeFrame">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timeFrame">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="timeFrameAfterCheckBox" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_datespan_after'] # u"$tstrings['at_datespan_after']" on line 262, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_datespan_after']")) # from line 262, col 43.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 263, col 67
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 263, col 67.
        write(u'''" id="timeFrameAfter">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timeFrameAfter">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<span id="timeFrameE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_datespan_before'] # u"$tstrings['at_datespan_before']" on line 281, col 24
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_datespan_before']")) # from line 281, col 24.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div  class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" id="after">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="beforeE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_datespan_after'] # u"$tstrings['at_datespan_after']" on line 293, col 24
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_datespan_after']")) # from line 293, col 24.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div  class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" id="before">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_timer_offset'] # u"$tstrings['at_timer_offset']" on line 307, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timer_offset']")) # from line 307, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 308, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 308, col 66.
        write(u'''" id="timerOffset">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timerOffset">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<span id="timerOffsetE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timer_offset_before'] # u"$tstrings['at_timer_offset_before']" on line 317, col 23
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timer_offset_before']")) # from line 317, col 23.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div  class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" id="tbefore" onkeyup="this.value=this.value.replace(/[^\\d]/,\'\')">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timer_offset_after'] # u"$tstrings['at_timer_offset_after']" on line 327, col 23
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timer_offset_after']")) # from line 327, col 23.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div  class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" id="tafter" onkeyup="this.value=this.value.replace(/[^\\d]/,\'\')">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_max_duration'] # u"$tstrings['at_max_duration']" on line 340, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_max_duration']")) # from line 340, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 341, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 341, col 66.
        write(u'''" id="maxDuration">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="maxDuration">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<span id="maxDurationE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_max_duration'] # u"$tstrings['at_max_duration']" on line 350, col 23
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_max_duration']")) # from line 350, col 23.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="maxduration">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_override_alt'] # u"$tstrings['at_override_alt']" on line 360, col 22
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_override_alt']")) # from line 360, col 22.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 361, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 361, col 66.
        write(u'''" id="overrideAlternatives" val="">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="overrideAlternatives">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event'] # u"$tstrings['at_after_event']" on line 371, col 22
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_after_event']")) # from line 371, col 22.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="afterevent" multiple>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_standard'] # u"$tstrings['at_after_event_standard']" on line 373, col 53
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_after_event_standard']")) # from line 373, col 53.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="none" selected>''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_nothing'] # u"$tstrings['at_after_event_nothing']" on line 374, col 46
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_after_event_nothing']")) # from line 374, col 46.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="standby">''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_standby'] # u"$tstrings['at_after_event_standby']" on line 375, col 40
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_after_event_standby']")) # from line 375, col 40.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="shutdown">''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_deepstandby'] # u"$tstrings['at_after_event_deepstandby']" on line 376, col 41
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_after_event_deepstandby']")) # from line 376, col 41.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="auto">''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_auto'] # u"$tstrings['at_after_event_auto']" on line 377, col 37
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_after_event_auto']")) # from line 377, col 37.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_location'] # u"$tstrings['at_location']" on line 385, col 22
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_location']")) # from line 385, col 22.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 386, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 386, col 66.
        write(u'''" id="Location" val="">
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Location">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<span id="LocationE">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_location'] # u"$tstrings['at_location']" on line 395, col 23
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_location']")) # from line 395, col 23.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="location">
''')
        for location in VFFSL(SL,"locations",True): # generated from line 397, col 16
            write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="''')
            _v = VFFSL(SL,"location",True) # u'$location' on line 398, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$location')) # from line 398, col 32.
            write(u'''">''')
            _v = VFFSL(SL,"location",True) # u'$location' on line 398, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$location')) # from line 398, col 43.
            write(u'''</option>
''')
        write(u'''\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<span id="AftereventE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_event_timespan'] # u"$tstrings['at_event_timespan']" on line 411, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_event_timespan']")) # from line 411, col 43.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 412, col 67
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 412, col 67.
        write(u'''" id="timeSpanAE">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timeSpanAE">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<span id="timeSpanAEE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_event_timespan_begin'] # u"$tstrings['at_event_timespan_begin']" on line 421, col 24
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_event_timespan_begin']")) # from line 421, col 24.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div  class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" id="aefrom">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_event_timespan_end'] # u"$tstrings['at_event_timespan_end']" on line 431, col 24
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_event_timespan_end']")) # from line 431, col 24.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div  class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" id="aeto">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_max_counter'] # u"$tstrings['at_max_counter']" on line 445, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_max_counter']")) # from line 445, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="counter"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<span id="CounterE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_left'] # u"$tstrings['at_left']" on line 454, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_left']")) # from line 454, col 43.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="left"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_reset_count'] # u"$tstrings['at_reset_count']" on line 462, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reset_count']")) # from line 462, col 43.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select class="form-control show-tick" id="counterFormat">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="" selected>''')
        _v = VFFSL(SL,"tstrings",True)['at_never'] # u"$tstrings['at_never']" on line 464, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_never']")) # from line 464, col 43.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="%m">''')
        _v = VFFSL(SL,"tstrings",True)['at_monthly'] # u"$tstrings['at_monthly']" on line 465, col 36
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_monthly']")) # from line 465, col 36.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="%U">''')
        _v = VFFSL(SL,"tstrings",True)['at_weekly_sun'] # u"$tstrings['at_weekly_sun']" on line 466, col 36
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_weekly_sun']")) # from line 466, col 36.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="%W">''')
        _v = VFFSL(SL,"tstrings",True)['at_weekly_mon'] # u"$tstrings['at_weekly_mon']" on line 467, col 36
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_weekly_mon']")) # from line 467, col 36.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_bouquets'] # u"$tstrings['at_bouquets']" on line 478, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_bouquets']")) # from line 478, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 479, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 479, col 66.
        write(u'''" id="Bouquets">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Bouquets">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_channels'] # u"$tstrings['at_channels']" on line 487, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_channels']")) # from line 487, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 488, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 488, col 66.
        write(u'''" id="Channels">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Channels">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_tags'] # u"$tstrings['at_tags']" on line 496, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_tags']")) # from line 496, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 497, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 497, col 66.
        write(u'''" id="Tags">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Tags">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="BouquetsE" style="display:none" >
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_bouquets'] # u"$tstrings['at_bouquets']" on line 508, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_bouquets']")) # from line 508, col 43.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select id="bouquets"  class="form-control show-tick" multiple="multiple"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="ChannelsE" style="display:none" >
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_channels'] # u"$tstrings['at_channels']" on line 518, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_channels']")) # from line 518, col 43.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select id="channels" class="form-control show-tick" multiple="multiple"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="TagsE" style="display:none" >
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_tags'] # u"$tstrings['at_tags']" on line 528, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_tags']")) # from line 528, col 43.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select id="tags" class="form-control show-tick" multiple="multiple"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
        _v = VFFSL(SL,"tstrings",True)['at_filter'] # u"$tstrings['at_filter']" on line 539, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_filter']")) # from line 539, col 42.
        write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 540, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 540, col 66.
        write(u'''" id="Filter">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Filter">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<button type="button" class="btn btn-default waves-effect FilterE" id="AddFilter" >''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 542, col 98
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 542, col 98.
        write(u'''</button>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="table-responsive">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<table id="filterlist" class="table table-striped table-hover FilterE">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
''')
        if VFFSL(SL,"hasVPS",True) == 1: # generated from line 560, col 9
            write(u'''\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
            _v = VFFSL(SL,"tstrings",True)['vps'] # u"$tstrings['vps']" on line 564, col 42
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['vps']")) # from line 564, col 42.
            write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 565, col 66
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 565, col 66.
            write(u'''" id="vps">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="vps">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="vpsE">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
            _v = VFFSL(SL,"tstrings",True)['safe_mode'] # u"$tstrings['safe_mode']" on line 574, col 43
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['safe_mode']")) # from line 574, col 43.
            write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 575, col 67
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 575, col 67.
            write(u'''" id="vpssm">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="vpssm">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</span>
''')
        if VFFSL(SL,"hasSeriesPlugin",True) == 1: # generated from line 582, col 9
            write(u'''\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label style="float:left;">''')
            _v = VFFSL(SL,"tstrings",True)['at_label_series'] # u"$tstrings['at_label_series']" on line 586, col 42
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_label_series']")) # from line 586, col 42.
            write(u''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 587, col 66
            if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 587, col 66.
            write(u'''" id="series_labeling">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="series_labeling">&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t</div>
''')
        write(u'''\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</fieldset></form>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 hidden-sm hidden-md hidden-lg hidden-xl">
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="addAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 603, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 603, col 71.
        write(u''' waves-effect" ><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 603, col 136
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 603, col 136.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="delAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 604, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 604, col 71.
        write(u''' waves-effect" ><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # u"$tstrings['at_del']" on line 604, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_del']")) # from line 604, col 139.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="reloadAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 609, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 609, col 74.
        write(u''' waves-effect" ><i class="material-icons">autorenew</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_reload'] # u"$tstrings['at_reload']" on line 609, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reload']")) # from line 609, col 145.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="saveAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 610, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 610, col 72.
        write(u''' waves-effect" ><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # u"$tstrings['at_save']" on line 610, col 138
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_save']")) # from line 610, col 138.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="parseAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 615, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 615, col 73.
        write(u''' waves-effect" ><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_parse'] # u"$tstrings['at_parse']" on line 615, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_parse']")) # from line 615, col 139.
        write(u'''</span></span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(true); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 616, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 616, col 85.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # u"$tstrings['at_simulate']" on line 616, col 204
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_simulate']")) # from line 616, col 204.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(false); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 621, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 621, col 86.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="listTimers(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 622, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 622, col 76.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerList" ><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # u"$tstrings['at_timers']" on line 622, col 190
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timers']")) # from line 622, col 190.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 627, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 627, col 132.
        write(u''' waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 627, col 170
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 627, col 170.
        write(u'''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # u"$tstrings['at_settings']" on line 627, col 252
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_settings']")) # from line 627, col 252.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 hidden-xs hidden-md hidden-lg hidden-xl">
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="addAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 634, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 634, col 71.
        write(u''' waves-effect" ><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 634, col 136
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 634, col 136.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="delAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 635, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 635, col 71.
        write(u''' waves-effect" ><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # u"$tstrings['at_del']" on line 635, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_del']")) # from line 635, col 139.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="reloadAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 636, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 636, col 74.
        write(u''' waves-effect" ><i class="material-icons">autorenew</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_reload'] # u"$tstrings['at_reload']" on line 636, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reload']")) # from line 636, col 145.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="saveAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 637, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 637, col 72.
        write(u''' waves-effect" ><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # u"$tstrings['at_save']" on line 637, col 138
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_save']")) # from line 637, col 138.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="parseAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 642, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 642, col 73.
        write(u''' waves-effect" ><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_parse'] # u"$tstrings['at_parse']" on line 642, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_parse']")) # from line 642, col 139.
        write(u'''</span></span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(true); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 643, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 643, col 85.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # u"$tstrings['at_simulate']" on line 643, col 204
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_simulate']")) # from line 643, col 204.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(false); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 644, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 644, col 86.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="listTimers(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 645, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 645, col 76.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerList" ><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # u"$tstrings['at_timers']" on line 645, col 190
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timers']")) # from line 645, col 190.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 650, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 650, col 132.
        write(u''' waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 650, col 170
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 650, col 170.
        write(u'''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # u"$tstrings['at_settings']" on line 650, col 252
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_settings']")) # from line 650, col 252.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 hidden-xs hidden-sm hidden-lg hidden-xl">
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="addAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 657, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 657, col 71.
        write(u''' waves-effect" ><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 657, col 136
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 657, col 136.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="delAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 658, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 658, col 71.
        write(u''' waves-effect" ><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # u"$tstrings['at_del']" on line 658, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_del']")) # from line 658, col 139.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="reloadAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 659, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 659, col 74.
        write(u''' waves-effect" ><i class="material-icons">autorenew</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_reload'] # u"$tstrings['at_reload']" on line 659, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reload']")) # from line 659, col 145.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="saveAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 660, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 660, col 72.
        write(u''' waves-effect" ><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # u"$tstrings['at_save']" on line 660, col 138
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_save']")) # from line 660, col 138.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="parseAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 661, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 661, col 73.
        write(u''' waves-effect" ><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_parse'] # u"$tstrings['at_parse']" on line 661, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_parse']")) # from line 661, col 139.
        write(u'''</span></span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(true); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 662, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 662, col 85.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # u"$tstrings['at_simulate']" on line 662, col 204
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_simulate']")) # from line 662, col 204.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(false); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 667, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 667, col 86.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="listTimers(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 668, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 668, col 76.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerList" ><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # u"$tstrings['at_timers']" on line 668, col 190
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timers']")) # from line 668, col 190.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 669, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 669, col 132.
        write(u''' waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 669, col 170
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 669, col 170.
        write(u'''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # u"$tstrings['at_settings']" on line 669, col 252
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_settings']")) # from line 669, col 252.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 align-center hidden-xs hidden-sm hidden-md">
\t\t\t\t\t\t\t<div class="row">
\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t<button onClick="addAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 676, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 676, col 71.
        write(u''' waves-effect" ><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_add'] # u"$tstrings['at_add']" on line 676, col 136
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_add']")) # from line 676, col 136.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="delAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 677, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 677, col 71.
        write(u''' waves-effect" ><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # u"$tstrings['at_del']" on line 677, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_del']")) # from line 677, col 139.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="reloadAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 678, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 678, col 74.
        write(u''' waves-effect" ><i class="material-icons">autorenew</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_reload'] # u"$tstrings['at_reload']" on line 678, col 145
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_reload']")) # from line 678, col 145.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="saveAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 679, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 679, col 72.
        write(u''' waves-effect" ><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # u"$tstrings['at_save']" on line 679, col 138
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_save']")) # from line 679, col 138.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="parseAT(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 680, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 680, col 73.
        write(u''' waves-effect" ><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_parse'] # u"$tstrings['at_parse']" on line 680, col 139
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_parse']")) # from line 680, col 139.
        write(u'''</span></span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(true); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 681, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 681, col 85.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # u"$tstrings['at_simulate']" on line 681, col 204
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_simulate']")) # from line 681, col 204.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="test_simulateAT(false); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 682, col 86
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 682, col 86.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerModal" ><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="listTimers(); return false;" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 683, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 683, col 76.
        write(u''' waves-effect" data-toggle="modal" data-target="#ATTimerList" ><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # u"$tstrings['at_timers']" on line 683, col 190
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_timers']")) # from line 683, col 190.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t\t<button onClick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="atbtn btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 684, col 132
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 684, col 132.
        write(u''' waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 684, col 170
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 684, col 170.
        write(u'''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # u"$tstrings['at_settings']" on line 684, col 252
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['at_settings']")) # from line 684, col 252.
        write(u'''</span></button>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<div id="ATTimerModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<h4 class="modal-title">AutoTimer</h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div id="atsimulatemodal"></div>
\t\t\t\t\t<div style="font-size:smaller;" class="table-responsive">
\t\t\t\t\t\t<table id="simt" border="0" class="table table-striped table-hover">
\t\t\t\t\t\t\t<thead>
\t\t\t\t\t\t\t\t<tr><th>State</th><th>''')
        _v = VFFSL(SL,"tstrings",True)['name'] # u"$tstrings['name']" on line 707, col 31
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['name']")) # from line 707, col 31.
        write(u'''</th><th>''')
        _v = VFFSL(SL,"tstrings",True)['title'] # u"$tstrings['title']" on line 707, col 57
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['title']")) # from line 707, col 57.
        write(u'''</th><th>''')
        _v = VFFSL(SL,"tstrings",True)['channel'] # u"$tstrings['channel']" on line 707, col 84
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['channel']")) # from line 707, col 84.
        write(u'''</th><th>''')
        _v = VFFSL(SL,"tstrings",True)['start'] # u"$tstrings['start']" on line 707, col 113
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['start']")) # from line 707, col 113.
        write(u'''</th><th>''')
        _v = VFFSL(SL,"tstrings",True)['end'] # u"$tstrings['end']" on line 707, col 140
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['end']")) # from line 707, col 140.
        write(u'''</th></tr>
\t\t\t\t\t\t\t</thead>
\t\t\t\t\t\t\t\t<tbody id=\'simtb\'>
\t\t\t\t\t\t\t\t</tbody>
\t\t\t\t\t\t</table>
\t\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 715, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 715, col 85.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<div id="ATSettings" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<h4 class="modal-title">''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # u"$tstrings['ats_auto_timer_settings']" on line 726, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_auto_timer_settings']")) # from line 726, col 29.
        write(u'''</h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="atsettingdlgcont">
\t\t\t\t\t\t<form>
\t\t\t\t\t\t\t<fieldset>
\t\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 733, col 61
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 733, col 61.
        write(u'''" id="ats_autopoll" value="" >
\t\t\t\t\t\t\t\t\t<label for="ats_autopoll">''')
        _v = VFFSL(SL,"tstrings",True)['ats_autopoll'] # u"$tstrings['ats_autopoll']" on line 734, col 36
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_autopoll']")) # from line 734, col 36.
        write(u'''</label>&nbsp;
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<label for="ats_interval">''')
        _v = VFFSL(SL,"tstrings",True)['ats_interval'] # u"$tstrings['ats_interval']" on line 736, col 36
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_interval']")) # from line 736, col 36.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<div class="form-line inactive">
\t\t\t\t\t\t\t\t\t\t<input type="text" size="5" id="ats_interval" class="form-control">
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<label for="ats_maxdaysinfuture">''')
        _v = VFFSL(SL,"tstrings",True)['ats_maxdaysinfuture'] # u"$tstrings['ats_maxdaysinfuture']" on line 741, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_maxdaysinfuture']")) # from line 741, col 43.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<div class="form-line inactive">
\t\t\t\t\t\t\t\t\t\t<input type="text" size="5" id="ats_maxdaysinfuture" class="form-control">
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_try_guessing" value="" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 746, col 92
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 746, col 92.
        write(u'''" >
\t\t\t\t\t\t\t\t\t<label for="ats_try_guessing">''')
        _v = VFFSL(SL,"tstrings",True)['ats_try_guessing'] # u"$tstrings['ats_try_guessing']" on line 747, col 40
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_try_guessing']")) # from line 747, col 40.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_fastscan" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 749, col 79
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 749, col 79.
        write(u'''" value="" >
\t\t\t\t\t\t\t\t\t<label for="ats_fastscan">''')
        _v = VFFSL(SL,"tstrings",True)['ats_fastscan'] # u"$tstrings['ats_fastscan']" on line 750, col 36
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_fastscan']")) # from line 750, col 36.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_show_in_extensionsmenu" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 752, col 93
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 752, col 93.
        write(u'''" value="" >
\t\t\t\t\t\t\t\t\t<label for="ats_show_in_extensionsmenu">''')
        _v = VFFSL(SL,"tstrings",True)['ats_show_in_extensionsmenu'] # u"$tstrings['ats_show_in_extensionsmenu']" on line 753, col 50
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_show_in_extensionsmenu']")) # from line 753, col 50.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_disabled_on_conflict" value=""  class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 755, col 101
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 755, col 101.
        write(u'''" >
\t\t\t\t\t\t\t\t\t<label for="ats_disabled_on_conflict">''')
        _v = VFFSL(SL,"tstrings",True)['ats_disabled_on_conflict'] # u"$tstrings['ats_disabled_on_conflict']" on line 756, col 48
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_disabled_on_conflict']")) # from line 756, col 48.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_addsimilar_on_conflict" value="" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 758, col 102
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 758, col 102.
        write(u'''" >
\t\t\t\t\t\t\t\t\t<label for="ats_addsimilar_on_conflict">''')
        _v = VFFSL(SL,"tstrings",True)['ats_addsimilar_on_conflict'] # u"$tstrings['ats_addsimilar_on_conflict']" on line 759, col 50
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_addsimilar_on_conflict']")) # from line 759, col 50.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_notifconflict" value="" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 761, col 93
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 761, col 93.
        write(u'''" >
\t\t\t\t\t\t\t\t\t<label for="ats_notifconflict">''')
        _v = VFFSL(SL,"tstrings",True)['ats_notifconflict'] # u"$tstrings['ats_notifconflict']" on line 762, col 41
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_notifconflict']")) # from line 762, col 41.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_notifsimilar" value="" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 764, col 92
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 764, col 92.
        write(u'''" >
\t\t\t\t\t\t\t\t\t<label for="ats_notifsimilar">''')
        _v = VFFSL(SL,"tstrings",True)['ats_notifsimilar'] # u"$tstrings['ats_notifsimilar']" on line 765, col 40
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_notifsimilar']")) # from line 765, col 40.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_add_autotimer_to_tags" value="" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 767, col 101
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 767, col 101.
        write(u'''" >
\t\t\t\t\t\t\t\t\t<label for="ats_add_autotimer_to_tags">''')
        _v = VFFSL(SL,"tstrings",True)['ats_add_autotimer_to_tags'] # u"$tstrings['ats_add_autotimer_to_tags']" on line 768, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_add_autotimer_to_tags']")) # from line 768, col 49.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_add_name_to_tags" value="" class="form-control chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 770, col 96
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 770, col 96.
        write(u'''" >
\t\t\t\t\t\t\t\t\t<label for="ats_add_name_to_tags">''')
        _v = VFFSL(SL,"tstrings",True)['ats_add_name_to_tags'] # u"$tstrings['ats_add_name_to_tags']" on line 771, col 44
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_add_name_to_tags']")) # from line 771, col 44.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<label for="ats_refresh">''')
        _v = VFFSL(SL,"tstrings",True)['ats_refresh'] # u"$tstrings['ats_refresh']" on line 773, col 35
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_refresh']")) # from line 773, col 35.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<select id="ats_refresh" size="1"  class="form-control">
\t\t\t\t\t\t\t\t\t\t<option value="none" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_refresh_none'] # u"$tstrings['ats_refresh_none']" on line 775, col 52
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_refresh_none']")) # from line 775, col 52.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t<option value="auto" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_refresh_auto'] # u"$tstrings['ats_refresh_auto']" on line 776, col 52
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_refresh_auto']")) # from line 776, col 52.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t<option value="all" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_refresh_all'] # u"$tstrings['ats_refresh_all']" on line 777, col 51
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_refresh_all']")) # from line 777, col 51.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<label for="ats_editor">''')
        _v = VFFSL(SL,"tstrings",True)['ats_editor'] # u"$tstrings['ats_editor']" on line 780, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_editor']")) # from line 780, col 34.
        write(u'''</label>
\t\t\t\t\t\t\t\t\t<select id="ats_editor" size="1" class="form-control">
\t\t\t\t\t\t\t\t\t\t<option value="plain" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_editor_plain'] # u"$tstrings['ats_editor_plain']" on line 782, col 53
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_editor_plain']")) # from line 782, col 53.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t\t<option value="wizzard" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_editor_wizzard'] # u"$tstrings['ats_editor_wizzard']" on line 783, col 55
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ats_editor_wizzard']")) # from line 783, col 55.
        write(u'''</option>
\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</fieldset>
\t\t\t\t\t\t</form>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 791, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 791, col 85.
        write(u'''</button>
\t\t\t\t<button type="button" class="btn waves-effect bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 792, col 54
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 792, col 54.
        write(u'''" data-dismiss="modal" onClick="setAutoTimerSettings(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['save'] # u"$tstrings['save']" on line 792, col 135
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['save']")) # from line 792, col 135.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<div id="ATTimerList" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>
\t\t\t\t<h4 class="modal-title">AutoTimer</h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="timerdlgcont"></div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect bg-red" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 809, col 80
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 809, col 80.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<script src="/themes/absb/plugins/jquery-inputmask/jquery.inputmask.bundle.js"></script>
<script src="/js/at-2.6.min.js"></script>
<script src="/themes/absb/js/vti-responsive-at.js"></script>
<script type="text/javascript">

$(function() { InitPage();});
$.AdminBSB.input.activate();
$.AdminBSB.select.activate();
var $VTiMaskedATInput = $(\'.vti-masked-input\');
$VTiMaskedATInput.find(\'.time24\').inputmask(\'hh:mm\', { placeholder: \'__:__ _m\', alias: \'time24\', hourFormat: \'24\' });

$(function() {
\tif(!timeredit_initialized)
\t\t$(\'#editTimerForm\').load(\'ajax/edittimer\');
\t$(\'#atlist\').on(\'change\', function (e) {
\t\tvar optionSelected = $("option:selected", this);
\t\tvar valueSelected = this.value;
\t\tFillAT(valueSelected);
\t});
});
$(\':text\').blur()



</script>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_82350696
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_at= 'respond'

## END CLASS DEFINITION

if not hasattr(at, '_initCheetahAttributes'):
    templateAPIClass = getattr(at, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(at)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=at()).run()


