#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1523232247.192179
__CHEETAH_genTimestamp__ = 'Mon Apr  9 02:04:07 2018'
__CHEETAH_src__ = '/home/jan/openbh/openpli-oe-core/build/tmp/work/dm900-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+c5ca1af6d6-r0/git/plugin/controllers/views/responsive/ajax/screenshot.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Apr  9 02:03:53 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class screenshot(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(screenshot, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
<div id="responsivespinnerscreenshot"></div>

<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">photo_camera</i>''')
        _v = VFFSL(SL,"tstrings",True)['screenshot'] # u"$tstrings['screenshot']" on line 11, col 76
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['screenshot']")) # from line 11, col 76.
        write(u'''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<ul class="header-dropdown m-r--5">
\t\t\t\t<li class="dropdown">
\t\t\t\t<a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="material-icons">more_vert</i></a>
\t\t\t\t\t<ul class="dropdown-menu pull-right" id="screenshotbutton">
\t\t\t\t\t\t<li><a href="#" id="screenshotbutton0" name="screenshotbutton" >''')
        _v = VFFSL(SL,"tstrings",True)['all'] # u"$tstrings['all']" on line 18, col 71
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['all']")) # from line 18, col 71.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#" id="screenshotbutton1" name="screenshotbutton" >''')
        _v = VFFSL(SL,"tstrings",True)['video'] # u"$tstrings['video']" on line 19, col 71
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['video']")) # from line 19, col 71.
        write(u'''</a></li>
\t\t\t\t\t\t<li><a href="#" id="screenshotbutton2" name="screenshotbutton" >''')
        _v = VFFSL(SL,"tstrings",True)['osd'] # u"$tstrings['osd']" on line 20, col 71
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['osd']")) # from line 20, col 71.
        write(u'''</a></li>
\t\t\t\t\t</ul>
\t\t\t\t</li>
\t\t\t</ul>
\t\t</div>
\t\t<div class="body" >
\t\t\t<div class="row clearfix">
\t\t\t\t<img id="screenshotimage" class="img-fluid rounded" src="" alt="''')
        _v = VFFSL(SL,"tstrings",True)['loading'] # u"$tstrings['loading']" on line 27, col 69
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['loading']")) # from line 27, col 69.
        write(u''' ...">
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<p></p>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-md-3 col-md-offset-4 align-right">
\t\t\t\t\t<div class="switch panel-switch-btn">
\t\t\t\t\t\t<label><span class="m-r-10 font-12">''')
        _v = VFFSL(SL,"tstrings",True)['high_resolution'] # u"$tstrings['high_resolution']" on line 35, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['high_resolution']")) # from line 35, col 43.
        write(u'''</span>
\t\t\t\t\t\t<label><input type="checkbox" id="ssr_hd"><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 36, col 79
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 36, col 79.
        write(u'''"></span></label>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="switch panel-switch-btn">
\t\t\t\t\t\t<label><span class="m-r-10 font-12">''')
        _v = VFFSL(SL,"tstrings",True)['refresh_auto'] # u"$tstrings['refresh_auto']" on line 39, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['refresh_auto']")) # from line 39, col 43.
        write(u'''</label>
\t\t\t\t\t\t\t\t<input  class="input-field" type="text" size="2" id="ssr_i" value="30"><label>''')
        _v = VFFSL(SL,"tstrings",True)['seconds'] # u"$tstrings['seconds']" on line 40, col 87
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['seconds']")) # from line 40, col 87.
        write(u'''</label>
\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t<label><input type="checkbox" id="ssr_s"><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 42, col 78
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 42, col 78.
        write(u'''"></span></label>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix align-center">
\t\t\t\t<button class="btn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 47, col 27
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 47, col 27.
        write(u''' waves-effect" onclick="grabScreenshot(\'auto\'); return false">''')
        _v = VFFSL(SL,"tstrings",True)['refresh'] # u"$tstrings['refresh']" on line 47, col 99
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['refresh']")) # from line 47, col 99.
        write(u'''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<script type="text/javascript">
$(function() {SSHelper.setup()});
</script>




''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_screenshot= 'respond'

## END CLASS DEFINITION

if not hasattr(screenshot, '_initCheetahAttributes'):
    templateAPIClass = getattr(screenshot, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(screenshot)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=screenshot()).run()


