#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor, EPGSearchBQonly, EPGSearchFull, ScreenshotOnRCU, MinMovieList, MinTimerList, MinEPGList, MovieSearchExtended, MovieSearchShort, RemoteControlView
from json import dumps

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1523232244.564711
__CHEETAH_genTimestamp__ = 'Mon Apr  9 02:04:04 2018'
__CHEETAH_src__ = '/home/jan/openbh/openpli-oe-core/build/tmp/work/dm900-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+c5ca1af6d6-r0/git/plugin/controllers/views/responsive/main.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Apr  9 02:03:53 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class main(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(main, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''\r
<!DOCTYPE html>\r
<html lang="en">\r
\r
<head>\r
\t<script src="js/jquery.min.js"></script>\r
\t<script src="js/jquery-ui.min.js"></script>\r
\t<script type="text/javascript" src="js/openwebif-1.2.17.min.js"></script>\r
\t<script type="text/javascript" src="/js/chosen.1.8.2.min.js"></script>\r
\t<script type="text/javascript">initJsTranslation(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # u'$dumps($tstrings)' on line 13, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$dumps($tstrings)')) # from line 13, col 51.
        write(u''')</script>\r
\t<title>''')
        _v = VFFSL(SL,"boxname",True) # u'$boxname' on line 14, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$boxname')) # from line 14, col 9.
        write(u''' - OpenWebif</title>\r
\t<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\r
\t<meta http-equiv="X-UA-Compatible" content="IE=edge">\r
\t<meta charset="UTF-8">\r
\t<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">\r
\t<meta name="description" content="">\r
\t<meta name="author" content="">\r
\t<link href="themes/absb/plugins/vti/vti-fonts.css" rel="stylesheet" type="text/css">\r
\t<link href="themes/absb/plugins/vti/vti-material-icons.css" rel="stylesheet" type="text/css">\r
\t<link href="themes/absb/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet">\r
\t<link href="themes/absb/plugins/node-waves/waves.min.css" rel="stylesheet" />\r
\t<link href="themes/absb/plugins/animate-css/animate.min.css" rel="stylesheet" />\r
\t<link href="themes/absb/plugins/bootstrap-select/css/bootstrap-select.min.css" rel="stylesheet" />\r
\t<link href="themes/absb/plugins/sweetalert/sweetalert.css" rel="stylesheet" />\r
\t<link href="themes/absb/css/style.css" rel="stylesheet">\r
\t<link href="themes/absb/css/themes/all-themes.css" rel="stylesheet" />\r
\t<link href="themes/absb/css/vti-bootstrap-chosen.css" rel="stylesheet">\r
\t<link href="themes/absb/css/vti-timepicker.css" rel="stylesheet">\r
\t<link href="themes/absb/css/vti-responsive.css" rel="stylesheet">\r
</head>\r
\r
<body class="theme-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 35, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 35, col 20.
        write(u'''">\r
\t<!-- Overlay For Sidebars -->\r
\t<div class="overlay"></div>\r
\t<div class="search-bar search-bar-epg">\r
\t\t<div class="search-icon">\r
\t\t\t<div class="start-search">\r
\t\t\t\t<i class="material-icons">search</i>\r
\t\t\t</div>\r
\t\t</div>\r
\t\t<input type="text" id="epgsearchtext" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['start_typing'] # u"$tstrings['start_typing']" on line 44, col 54
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['start_typing']")) # from line 44, col 54.
        write(u''' ( ''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # u"$tstrings['epgsearch']" on line 44, col 82
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearch']")) # from line 44, col 82.
        write(u''' ) ...">\r
\t\t<div class="close-search">\r
\t\t\t<span class="start-search">\r
\t\t\t\t<i class="material-icons">search</i>\r
\t\t\t</span>\r
\t\t\t<i class="material-icons">close</i>\r
\t\t</div>\r
\t</div>\r
\t<div class="search-bar search-bar-movie">\r
\t\t<div class="search-icon">\r
\t\t\t<div class="start-search">\r
\t\t\t\t<i class="material-icons">search</i>\r
\t\t\t</div>\r
\t\t</div>\r
\t\t<input type="text" id="moviesearchtext" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['start_typing'] # u"$tstrings['start_typing']" on line 58, col 56
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['start_typing']")) # from line 58, col 56.
        write(u''' ( ''')
        _v = VFFSL(SL,"tstrings",True)['moviesearch'] # u"$tstrings['moviesearch']" on line 58, col 84
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['moviesearch']")) # from line 58, col 84.
        write(u''' ) ...">\r
\t\t<div class="close-search">\r
\t\t\t<span class="start-search">\r
\t\t\t\t<i class="material-icons">search</i>\r
\t\t\t</span>\r
\t\t\t<i class="material-icons">close</i>\r
\t\t</div>\r
\t</div>\r
\t<span id="topmenuheader">\r
\t\t<nav class="navbar">\r
\t\t\t<div class="container-fluid">\r
\t\t\t\t<div class="navbar-header">\r
\t\t\t\t\t<a href="javascript:void(0);" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false"></a>\r
\t\t\t\t\t<a href="javascript:void(0);" class="bars" id="leftsidebarin"></a>\r
\t\t\t\t\t<span class="navbar-brand">OpenWebif</span>\r
\t\t\t\t</div>\r
\t\t\t\t<div class="collapse navbar-collapse pull-right align-right" id="navbar-collapse">\r
\t\t\t\t\t<ul class="nav navbar-nav navbar-right">\r
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_current"></li>\r
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_cur_event"></li>\r
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_stream"></li>\r
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_transcoding"></li>\r
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_mute_status"></li>\r
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_vol_slider"><a href="#"><div id="volslider" style="width:100px;margin-top:2px;"></div></a></li>\r
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_vol_value"><a><div class="dropdown-toggle" id="volumevalue"><b><span class="curvolume"></span></b></div></a></li>\r
\t\t\t\t\t\t<!-- Call Search -->\r
\t\t\t\t\t\t<li><a href="javascript:void(0);" class="js-search-epg" data-close="true" title="''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # u"$tstrings['epgsearch']" on line 84, col 88
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearch']")) # from line 84, col 88.
        write(u'''" ><i class="material-icons">search</i></a></li>\r
\t\t\t\t\t\t<!--<li><a href="javascript:void(0);" class="js-search-movie" data-close="true" title="''')
        _v = VFFSL(SL,"tstrings",True)['moviesearch'] # u"$tstrings['moviesearch']" on line 85, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['moviesearch']")) # from line 85, col 94.
        write(u'''"><i class="material-icons">youtube_searched_for</i></a></li>  -->\r
\t\t\t\t\t\t<!-- #END# Call Search -->\r
\t\t\t\t\t\t<li class="dropdown" id="responsive_rec_info"></li>\r
\t\t\t\t\t\t<li class="dropdown" id="responsive_stream_info"></li>\r
\t\t\t\t\t\t<li class="dropdown"><a href=\'javascript:void(0);\' data-toggle="modal" data-target="#SendMessageModal" title="''')
        _v = VFFSL(SL,"tstrings",True)['sendamessage'] # u"$tstrings['sendamessage']" on line 89, col 117
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['sendamessage']")) # from line 89, col 117.
        write(u'''"><i class="material-icons">message</i></a></li>\r
\t\t\t\t\t\t<li class="dropdown"><a href=\'#\' onclick="load_maincontent(\'ajax/screenshot\');return false;" title="''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # u"$tstrings['grabscreenshot']" on line 90, col 107
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['grabscreenshot']")) # from line 90, col 107.
        write(u'''"><i class="material-icons">photo_camera</i></a></li>\r
\t\t\t\t\t\t<!-- #END# Notifications -->\r
\t\t\t\t\t\t<li id="osd_power_status"></li>\r
\t\t\t\t\t\t<li class="dropdown"><a href=\'javascript:void(0);\' data-toggle="modal" data-target="#PowerModal" title="''')
        _v = VFN(VFFSL(SL,"tstrings",True)['powercontrol'],"replace",False)(' ','&nbsp;') # u"$tstrings['powercontrol'].replace(' ','&nbsp;')" on line 93, col 111
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['powercontrol'].replace(' ','&nbsp;')")) # from line 93, col 111.
        write(u'''"><i class="material-icons">settings_power</i></a></li>\r
\t\t\t\t\t\t<!-- #END# Tasks -->\r
\t\t\t\t\t\t<li><a href="javascript:void(0);" class="js-right-sidebar" data-close="true"><i class="material-icons">more_vert</i></a></li>\r
\t\t\t\t\t</ul>\r
\t\t\t\t</div>\r
\t\t\t</div>\r
\t\t</nav>\r
\t\t<!-- #Top Bar -->\r
\t\t<section>\r
\t\t\t<!-- Left Sidebar -->\r
\t\t\t<aside id="leftsidebar" class="sidebar">\r
\t\t\t\t<!-- Menu -->\r
\t\t\t\t<div class="menu" id="leftsidemenu">\r
\t\t\t\t\t<ul class="list leftnav">\r
''')
        if not VFFSL(SL,"showname",True): # generated from line 107, col 7
            boxname = VFFSL(SL,"tstrings",True)['box_info']
        write(u'''\t\t\t\t\t\t<li class="header" id="leftsidemenuheader">''')
        _v = VFFSL(SL,"boxname",True) # u'$boxname' on line 110, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$boxname')) # from line 110, col 50.
        write(u'''</li>\r
\t\t\t\t\t\t<li class="active" style="display:none;"></li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href="javascript:void(0);" class="menu-toggle">\r
\t\t\t\t\t\t\t\t<i class="material-icons">dialpad</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['remote'] # u"$tstrings['remote']" on line 115, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['remote']")) # from line 115, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t\t<ul class="ml-menu noselect">\r
\t\t\t\t\t\t\t\t<li class="collapse">\r
\t\t\t\t\t\t\t\t\t<a href=\'#\' title=''')
        _v = VFN(VFFSL(SL,"tstrings",True)['showfullremote'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'showfullremote\'].replace(" ","&nbsp;")' on line 119, col 28
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'showfullremote\'].replace(" ","&nbsp;")')) # from line 119, col 28.
        write(u''' onclick="toggleFullRemote();return false;">Full</a>\r
\t\t\t\t\t\t\t\t</li>\r
''')
        if VFFSL(SL,"RemoteControlView",True) == 'checked': # generated from line 121, col 10
            write(u'''\t\t\t\t\t\t\t\t\t<span style="display:None;" id="symbolRemoteView">\r
''')
        else: # generated from line 123, col 10
            write(u'''\t\t\t\t\t\t\t\t\t<span id="symbolRemoteView">\r
''')
        write(u'''\t\t\t\t\t\t\t\t\t<li class="align-right" style="margin-top:-30px;">\r
\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#rcunumbers" aria-expanded="false" aria-controls="collapseExample" style="cursor:pointer;"><i class="material-icons material-icons-centered">expand_more</i></span>\r
\t\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t\t<li class="collapse" id="rcunumbers">\r
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'2\');" title="1">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_1</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'3\');" title="2">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_2</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'4\');" title="3">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_3</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'5\');" title="4">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_4</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'6\');" title="5">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_5</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'7\');" title="6">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_6</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'8\');" title="7">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_7</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'9\');" title="8">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons md-dark">filter_8</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'10\');" title="9">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">filter_9</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'412\');" title="<">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">navigate_before</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'11\');" title="0">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">exposure_zero</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'407\');" title=">">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">navigate_next</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t</table>\r
\t\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-red" onclick="pressMenuRemote(\'398\');" title="Red">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">panorama_fish_eye</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-green" onclick="pressMenuRemote(\'399\');" title="Green">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">panorama_fish_eye</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-yellow" onclick="pressMenuRemote(\'400\');" title="Yellow">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">panorama_fish_eye</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-blue" onclick="pressMenuRemote(\'401\');" title="Blue">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">panorama_fish_eye</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t</table>\r
\t\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'393\');" title="PVR">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">movie</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'103\');" title="Up">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">keyboard_arrow_up</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'139\');" title="Menu">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">menu</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'105\');" title="Left">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">keyboard_arrow_left</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'352\');" title="OK">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">check</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'106\');" title="Right">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">keyboard_arrow_right</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'358\');" title="EPG">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">today</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-light-grey" onclick="pressMenuRemote(\'108\');" title="Down">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">keyboard_arrow_down</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'174\');" title="Exit">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">clear</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t</table>\r
\t\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'377\');" title="TV">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">tv</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'385\');" title="Radio">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">radio</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'403\');" title="CH-">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">remove_circle_outline</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'402\');" title="CH+">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">add_circle_outline</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t</table>\r
\t\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t\t<li class="collapse" id="rcuplayerkeys">\r
\t\t\t\t\t\t\t\t\t\t<table class="rcu-table">\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'168\');" title="FastRewind">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">fast_rewind</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'207\');" title="Play">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">play_arrow</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'119\');" title="Pause">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">pause</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'208\');" title="FastForward">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">fast_forward</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'370\');" title="Subtitle">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">subtitles</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'167\');" title="Record">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">fiber_manual_record</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'128\');" title="Stop">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">stop</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="info-box-rcu-4 hover-zoom-effect">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="icon bg-white" onclick="pressMenuRemote(\'392\');" title="Audio">\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<i class="material-icons">audiotrack</i>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t</table>\r
\t\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t\t<li class="align-right">\r
\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#rcuplayerkeys" aria-expanded="false" aria-controls="collapseExample" style="cursor:pointer;"><i class="material-icons material-icons-centered">keyboard_arrow_up</i></span>\r
\t\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t</span>\r
''')
        if VFFSL(SL,"RemoteControlView",True) == 'checked': # generated from line 435, col 9
            write(u'''\t\t\t\t\t\t\t\t\t<li id="fullRemoteView">\r
\t\t\t\t\t\t\t\t\t\t<div id="remote_container" style="width:100%; text-align:center;"></div>\r
\t\t\t\t\t\t\t\t\t<li>\r
''')
        else: # generated from line 439, col 9
            write(u'''\t\t\t\t\t\t\t\t\t<li id="fullRemoteView" style="display:None;">\r
\t\t\t\t\t\t\t\t\t\t<div id="remote_container" style="width:100%; text-align:center;"></div>\r
\t\t\t\t\t\t\t\t\t<li>\r
''')
        write(u'''\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<table class="rcu-table">\r
\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t<td colspan="2"><p></p>\r
\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<span style="cursor:pointer;" title="Enable/Disable Screenhot on key press or ''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # u"$tstrings['grabscreenshot']" on line 452, col 91
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['grabscreenshot']")) # from line 452, col 91.
        write(u'''" onclick="load_maincontent(\'ajax/screenshot\');return false;">''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # u"$tstrings['grabscreenshot']" on line 452, col 180
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['grabscreenshot']")) # from line 452, col 180.
        write(u"""</span>\r
\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t\t<td>\r
\t\t\t\t\t\t\t\t\t\t\t\t<div class='switch'>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<span class='m-r-10 font-12'></span>\r
\t\t\t\t\t\t\t\t\t\t\t\t\t<label><input """)
        _v = VFFSL(SL,"ScreenshotOnRCU",True) # u'$ScreenshotOnRCU' on line 457, col 28
        if _v is not None: write(_filter(_v, rawExpr=u'$ScreenshotOnRCU')) # from line 457, col 28.
        write(u''' type=\'checkbox\' class="remotegrabscreen" id=\'remotegrabscreen1\' name="remotegrabscreen1" ><span class=\'lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 457, col 165
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 457, col 165.
        write(u'''\'></span></label>\r
\t\t\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t\t\t\t\t<td colspan="2">\r
\t\t\t\t\t\t\t\t\t\t\t\t<h6>''')
        _v = VFFSL(SL,"tstrings",True)['shiftforlong'] # u"$tstrings['shiftforlong']" on line 463, col 17
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['shiftforlong']")) # from line 463, col 17.
        write(u'''</h6>\r
\t\t\t\t\t\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t\t\t\t</table>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t</ul>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/tv\'); return false;" >\r
\t\t\t\t\t\t\t\t<i class="material-icons">tv</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['television'] # u"$tstrings['television']" on line 473, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['television']")) # from line 473, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/radio\'); return false;" >\r
\t\t\t\t\t\t\t\t<i class="material-icons">radio</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # u"$tstrings['radio']" on line 479, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['radio']")) # from line 479, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/myepg?epgmode=tv\'); return false;" >\r
\t\t\t\t\t\t\t\t<i class="material-icons">today</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # u"$tstrings['epg']" on line 485, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epg']")) # from line 485, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/movies\'); return false;" >\r
\t\t\t\t\t\t\t\t<i class="material-icons">movie</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['movies'] # u"$tstrings['movies']" on line 491, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['movies']")) # from line 491, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/timers\'); return false;" >\r
\t\t\t\t\t\t\t\t<i class="material-icons">alarm</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # u"$tstrings['timers']" on line 497, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timers']")) # from line 497, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t</li>\r
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 500, col 7
            if VFFSL(SL,"extra",True)["key"] in ("ajax/at",): # generated from line 501, col 8
                write(u'''\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/at\'); return false;" >\r
\t\t\t\t\t\t\t\t\t\t<i class="material-icons">history</i>\r
\t\t\t\t\t\t\t\t\t\t<span>''')
                _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 505, col 17
                if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 505, col 17.
                write(u'''</span>\r
\t\t\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t\t\t</li>\r
''')
        write(u'''\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/settings\'); return false;" >\r
\t\t\t\t\t\t\t\t<i class="material-icons">settings</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 513, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 513, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/bqe\'); return false;" >\r
\t\t\t\t\t\t\t\t<i class="material-icons">view_list</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['Bouquet_Editor'] # u"$tstrings['Bouquet_Editor']" on line 519, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['Bouquet_Editor']")) # from line 519, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'ajax/boxinfo\'); return false;" >\r
\t\t\t\t\t\t\t\t<i class="material-icons">info</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['box_info'] # u"$tstrings['box_info']" on line 525, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box_info']")) # from line 525, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t<a href="javascript:void(0);" class="menu-toggle">\r
\t\t\t\t\t\t\t\t<i class="material-icons">widgets</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['extras'] # u"$tstrings['extras']" on line 531, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['extras']")) # from line 531, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</a>\r
\t\t\t\t\t\t\t<ul class="ml-menu">\r
''')
        if VFFSL(SL,"webtv",True): # generated from line 534, col 8
            write(u'''\t\t\t\t\t\t\t\t<li><a href=\'#\' data-close="true" onclick="load_maincontent(\'ajax/webtv\'); return false;">''')
            _v = VFFSL(SL,"tstrings",True)['webtv'] # u"$tstrings['webtv']" on line 535, col 99
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['webtv']")) # from line 535, col 99.
            write(u'''</a></li>\r
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 537, col 8
            target_url = VFFSL(SL,"extra",True)["key"];
            if VFFSL(SL,"target_url",True) not in ('ajax/at','ajax/bqe','ajax/settings'): # generated from line 539, col 9
                if VFN(VFFSL(SL,"extra",True),"has_key",False)('nw'): # generated from line 540, col 10
                    if VFFSL(SL,"extra",True)["nw"] == "1": # generated from line 541, col 11
                        write(u'''\t\t\t\t\t\t\t\t\t\t<li><a href="''')
                        _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 542, col 24
                        if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 542, col 24.
                        write(u'''" target=\'_blank\'>''')
                        _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 542, col 53
                        if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 542, col 53.
                        write(u'''</a></li>\r
''')
                    else: # generated from line 543, col 11
                        write(u'''\t\t\t\t\t\t\t\t\t\t<li><a class="lmc pop" href="''')
                        _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 544, col 40
                        if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 544, col 40.
                        write(u'''">''')
                        _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 544, col 53
                        if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 544, col 53.
                        write(u'''</a></li>\r
''')
                else: # generated from line 546, col 10
                    write(u'''\t\t\t\t\t\t\t\t\t\t<li><a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'''')
                    _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 547, col 90
                    if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 547, col 90.
                    write(u'''\'); return false;" >''')
                    _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 547, col 121
                    if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 547, col 121.
                    write(u'''</a></li>\r
''')
        write(u'''\t\t\t\t\t\t\t</ul>\r
\t\t\t\t\t\t</li>\r
\t\t\t\t\t</ul>\r
\t\t\t\t</div>\r
\t\t\t\t<!-- #Menu -->\r
\t\t\t\t<!-- Footer -->\r
<!-- START COPYRIGHT -->\r
\t\t\t\t<!-- it is not allowed to remove this copyright and link when using the materialize (aka responsive) design for openwebif -->\r
\t\t\t\t<div class="legal" id="leftfooter">\r
\t\t\t\t\t<div class="copyright">\r
\t\t\t\t\t\tMaterialize design - <b>Version: </b> 1.0.1</br>&copy; 2017 <a href="https://www.vuplus-support.org" target="_blank">VTi - vuplus-support.org</a>.\r
\t\t\t\t\t</div>\r
\t\t\t\t</div>\r
<!-- END COPYRIGHT -->\r
\t\t\t\t<!-- #Footer -->\r
\t\t\t</aside>\r
\t\t\t<!-- #END# Left Sidebar -->\r
\t\t\t<aside id="rightsidebar" class="right-sidebar">\r
\t\t\t\t<ul class="nav nav-tabs tab-nav-right tab-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 569, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 569, col 51.
        write(u'''" role="tablist">\r
\t\t\t\t\t<li role="presentation" class="active"><a href="#settings" data-toggle="tab">''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 570, col 83
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 570, col 83.
        write(u'''</a></li>\r
\t\t\t\t\t<li role="presentation"><a href="#skins" data-toggle="tab">SKINS</a></li>\r
\t\t\t\t</ul>\r
\t\t\t\t<div class="tab-content">\r
\t\t\t\t\t<div role="tabpanel" class="tab-pane fade in active in active" id="settings">\r
\t\t\t\t\t\t<div class="demo-settings">\r
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # u"$tstrings['epgsearch']" on line 576, col 11
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearch']")) # from line 576, col 11.
        write(u'''</p>\r
\t\t\t\t\t\t\t<ul class="setting-list">\r
\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearchextended'] # u"$tstrings['epgsearchextended']" on line 579, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearchextended']")) # from line 579, col 16.
        write(u'''</span>\r
\t\t\t\t\t\t\t\t\t<div class="switch">\r
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="myepgbtn0" ''')
        _v = VFFSL(SL,"EPGSearchFull",True) # u'$EPGSearchFull' on line 581, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$EPGSearchFull')) # from line 581, col 56.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 581, col 101
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 581, col 101.
        write(u''' vtiwebconfig"></span></label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearchbouquetsonly'] # u"$tstrings['epgsearchbouquetsonly']" on line 585, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearchbouquetsonly']")) # from line 585, col 16.
        write(u'''</span>\r
\t\t\t\t\t\t\t\t\t<div class="switch">\r
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="myepgbtn1" ''')
        _v = VFFSL(SL,"EPGSearchBQonly",True) # u'$EPGSearchBQonly' on line 587, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$EPGSearchBQonly')) # from line 587, col 56.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 587, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 587, col 103.
        write(u''' vtiwebconfig"></span></label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t</ul>\r
<!--\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['moviesearch'] # u"$tstrings['moviesearch']" on line 591, col 14
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['moviesearch']")) # from line 591, col 14.
        write(u'''</p>\r
\t\t\t\t\t\t\t<ul class="setting-list">\r
\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['inc_shortdesc'] # u"$tstrings['inc_shortdesc']" on line 594, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['inc_shortdesc']")) # from line 594, col 16.
        write(u'''</span>\r
\t\t\t\t\t\t\t\t\t<div class="switch">\r
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="mymoviesearchbtn0" ''')
        _v = VFFSL(SL,"MovieSearchShort",True) # u'$MovieSearchShort' on line 596, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'$MovieSearchShort')) # from line 596, col 64.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 596, col 112
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 596, col 112.
        write(u''' vtiwebconfig"></span></label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['inc_extdesc'] # u"$tstrings['inc_extdesc']" on line 600, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['inc_extdesc']")) # from line 600, col 16.
        write(u'''</span>\r
\t\t\t\t\t\t\t\t\t<div class="switch">\r
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="mymoviesearchbtn1" ''')
        _v = VFFSL(SL,"MovieSearchExtended",True) # u'$MovieSearchExtended' on line 602, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'$MovieSearchExtended')) # from line 602, col 64.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 602, col 115
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 602, col 115.
        write(u''' vtiwebconfig"></span></label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t</ul>\r
-->\t\t\t\t\t\t\t\r
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['common_settings'] # u"$tstrings['common_settings']" on line 607, col 11
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['common_settings']")) # from line 607, col 11.
        write(u'''</p>\r
\t\t\t\t\t\t\t<ul class="setting-list">\r
\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['showfullremoteshort'] # u"$tstrings['showfullremoteshort']" on line 610, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['showfullremoteshort']")) # from line 610, col 16.
        write(u'''</span>\r
\t\t\t\t\t\t\t\t\t<div class="switch">\r
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="remotecontrolview" ''')
        _v = VFFSL(SL,"RemoteControlView",True) # u'$RemoteControlView' on line 612, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'$RemoteControlView')) # from line 612, col 64.
        write(u''' ><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 612, col 114
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 612, col 114.
        write(u''' vtiwebconfig"></span></label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_movie_list'] # u"$tstrings['min_movie_list']" on line 616, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['min_movie_list']")) # from line 616, col 16.
        write(u'''</span>\r
\t\t\t\t\t\t\t\t\t<div class="switch">\r
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="minmovielist" ''')
        _v = VFFSL(SL,"MinMovieList",True) # u'$MinMovieList' on line 618, col 59
        if _v is not None: write(_filter(_v, rawExpr=u'$MinMovieList')) # from line 618, col 59.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 618, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 618, col 103.
        write(u''' vtiwebconfig"></span></label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_timer_list'] # u"$tstrings['min_timer_list']" on line 622, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['min_timer_list']")) # from line 622, col 16.
        write(u'''</span>\r
\t\t\t\t\t\t\t\t\t<div class="switch">\r
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="mintimerlist" ''')
        _v = VFFSL(SL,"MinTimerList",True) # u'$MinTimerList' on line 624, col 59
        if _v is not None: write(_filter(_v, rawExpr=u'$MinTimerList')) # from line 624, col 59.
        write(u'''><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 624, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 624, col 103.
        write(u''' vtiwebconfig"></span></label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t\t<li>\r
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_epg_list'] # u"$tstrings['min_epg_list']" on line 628, col 16
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['min_epg_list']")) # from line 628, col 16.
        write(u'''</span>\r
\t\t\t\t\t\t\t\t\t<div class="switch">\r
\t\t\t\t\t\t\t\t\t\t<label><input type="checkbox" id="minepglist" ''')
        _v = VFFSL(SL,"MinEPGList",True) # u'$MinEPGList' on line 630, col 57
        if _v is not None: write(_filter(_v, rawExpr=u'$MinEPGList')) # from line 630, col 57.
        write(u''' ><span class="lever switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 630, col 100
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 630, col 100.
        write(u''' vtiwebconfig"></span></label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t</ul>\r
\t\t\t\t\t\t</div>\r
\t\t\t\t\t</div>\r
\t\t\t\t\t<div role="tabpanel" class="tab-pane fade" id="skins">\r
\t\t\t\t\t\t<ul class="demo-choose-skin">\r
\t\t\t\t\t\t\t<li data-theme="red" class="active">\r
\t\t\t\t\t\t\t\t<div class="red"></div>\r
\t\t\t\t\t\t\t\t<span>Red</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="pink">\r
\t\t\t\t\t\t\t\t<div class="pink"></div>\r
\t\t\t\t\t\t\t\t<span>Pink</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="purple">\r
\t\t\t\t\t\t\t\t<div class="purple"></div>\r
\t\t\t\t\t\t\t\t<span>Purple</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="deep-purple">\r
\t\t\t\t\t\t\t\t<div class="deep-purple"></div>\r
\t\t\t\t\t\t\t\t<span>Deep Purple</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="indigo">\r
\t\t\t\t\t\t\t\t<div class="indigo"></div>\r
\t\t\t\t\t\t\t\t<span>Indigo</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="blue">\r
\t\t\t\t\t\t\t\t<div class="blue"></div>\r
\t\t\t\t\t\t\t\t<span>Blue</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="light-blue">\r
\t\t\t\t\t\t\t\t<div class="light-blue"></div>\r
\t\t\t\t\t\t\t\t<span>Light Blue</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="cyan">\r
\t\t\t\t\t\t\t\t<div class="cyan"></div>\r
\t\t\t\t\t\t\t\t<span>Cyan</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="teal">\r
\t\t\t\t\t\t\t\t<div class="teal"></div>\r
\t\t\t\t\t\t\t\t<span>Teal</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="green">\r
\t\t\t\t\t\t\t\t<div class="green"></div>\r
\t\t\t\t\t\t\t\t<span>Green</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="light-green">\r
\t\t\t\t\t\t\t\t<div class="light-green"></div>\r
\t\t\t\t\t\t\t\t<span>Light Green</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="lime">\r
\t\t\t\t\t\t\t\t<div class="lime"></div>\r
\t\t\t\t\t\t\t\t<span>Lime</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="yellow">\r
\t\t\t\t\t\t\t\t<div class="yellow"></div>\r
\t\t\t\t\t\t\t\t<span>Yellow</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="amber">\r
\t\t\t\t\t\t\t\t<div class="amber"></div>\r
\t\t\t\t\t\t\t\t<span>Amber</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="orange">\r
\t\t\t\t\t\t\t\t<div class="orange"></div>\r
\t\t\t\t\t\t\t\t<span>Orange</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="deep-orange">\r
\t\t\t\t\t\t\t\t<div class="deep-orange"></div>\r
\t\t\t\t\t\t\t\t<span>Deep Orange</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="brown">\r
\t\t\t\t\t\t\t\t<div class="brown"></div>\r
\t\t\t\t\t\t\t\t<span>Brown</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="grey">\r
\t\t\t\t\t\t\t\t<div class="grey"></div>\r
\t\t\t\t\t\t\t\t<span>Grey</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="blue-grey">\r
\t\t\t\t\t\t\t\t<div class="blue-grey"></div>\r
\t\t\t\t\t\t\t\t<span>Blue Grey</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t\t<li data-theme="black">\r
\t\t\t\t\t\t\t\t<div class="black"></div>\r
\t\t\t\t\t\t\t\t<span>Black</span>\r
\t\t\t\t\t\t\t</li>\r
\t\t\t\t\t\t</ul>\r
\t\t\t\t\t</div>\r
\t\t\t\t</div>\r
\t\t\t</aside>\r
\t\t\t<!-- #END# Right Sidebar -->\r
\t\t</section>\r
\t</span>\r
\r
<section class="content"  id="fullmaincontent">\r
\t\t<div class="container-fluid">\r
\t\t\t<div class="row clearfix">\r
\t\t\t\t<div id="content_container">''')
        _v = VFFSL(SL,"content",True) # u'$content' on line 729, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$content')) # from line 729, col 33.
        write(u'''</div>\r
\t\t\t</div>\r
\t\t\t<span id="mainfooter">\r
\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">\r
\t\t\t\t\t\t<div class="card">\r
\t\t\t\t\t\t\t<div class="body text-center">\r
\t\t\t\t\t\t\t\t<div id="footer"><a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 68.
        write(u'''" href="https://github.com/E2OpenPlugins">E2OpenPlugins</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 182
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 182.
        write(u'''" href="http://www.opena.tv">openATV</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 277
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 277.
        write(u'''" href="http://www.vuplus-community.net">Black Hole</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 387
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 387.
        write(u'''" href="http://www.droidsat.org">OpenDroid</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 488
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 488.
        write(u'''" href="http://www.egami-image.com">EGAMI</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 588
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 588.
        write(u'''" href="http://www.hdfreaks.cc">OpenHDF</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 686
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 686.
        write(u'''" href="http://image.openmips.com">openMips</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 788
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 788.
        write(u'''" href="http://openpli.org">OpenPli</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 882
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 882.
        write(u'''" href="http://forum.sifteam.eu">Sif</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 977
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 977.
        write(u'''" href="http://openspa.info">OpenSpa</a> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 1072
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 1072.
        write(u'''" href="http://www.world-of-satellite.com">OpenViX</a> | <b><a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 1184
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 1184.
        write(u'''" href="http://www.vuplus-support.org">VTi</a></b> | <a class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 736, col 1289
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 736, col 1289.
        write(u'''" href="#" onclick="load_maincontent(\'ajax/about\'); return false">''')
        _v = VFFSL(SL,"tstrings",True)['about'] # u"$tstrings['about']" on line 736, col 1365
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['about']")) # from line 736, col 1365.
        write(u'''</a></div>\r
\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t</div>\r
\t\t\t\t\t</div>\r
\t\t\t\t</div>\r
\t\t\t</span>\r
\t\t</div>\r
\t</section>\r
\r
<!---<div id="modaldialog"></div>-->\r
<div id="responsivespinner"></div>\r
<div id="TimerConflictModal" class="modal fade" role="dialog">\r
\t<div class="modal-dialog modal-lg">\r
\t\t<div class="modal-content">\r
\t\t\t<div class="modal-header bg-red">\r
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>\r
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">error</i><span>Timer conflict</span></h4>\r
\t\t\t</div>\r
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">\r
\t\t\t\t\t<div id="timerconflictmodal"></div>\r
\t\t\t\t</div>\r
\t\t\t<div class="modal-footer">\r
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 758, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 758, col 85.
        write(u'''</button>\r
\t\t\t</div>\r
\t\t</div>\r
\t</div>\r
</div>\r
<div id="StreamModal" class="modal fade" role="dialog">\r
\t<div class="modal-dialog modal-lg">\r
\t\t<div class="modal-content">\r
\t\t\t<div class="modal-header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 766, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 766, col 49.
        write(u'''">\r
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>\r
\t\t\t\t<span class="modal-title"><i class="material-icons material-icons-centered">wifi_tethering</i>&nbsp;Streams</span>\r
\t\t\t</div>\r
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">\r
\t\t\t\t\t<ul>\r
\t\t\t\t\t\t<div id="streammodalcontent"></div>\r
\t\t\t\t\t</ul>\r
\t\t\t\t</div>\r
\t\t\t<div class="modal-footer">\r
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 776, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 776, col 85.
        write(u'''</button>\r
\t\t\t</div>\r
\t\t</div>\r
\t</div>\r
</div>\r
<div id="RecModal" class="modal fade" role="dialog">\r
\t<div class="modal-dialog modal-lg">\r
\t\t<div class="modal-content">\r
\t\t\t<div class="modal-header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 784, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 784, col 49.
        write(u'''">\r
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>\r
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # u"$tstrings['timers']" on line 786, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timers']")) # from line 786, col 94.
        write(u'''</span></h4>\r
\t\t\t</div>\r
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">\r
\t\t\t\t\t<ul>\r
\t\t\t\t\t\t<div id="recmodalcontent"></div>\r
\t\t\t\t\t</ul>\r
\t\t\t\t</div>\r
\t\t\t<div class="modal-footer">\r
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 794, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 794, col 85.
        write(u'''</button>\r
\t\t\t</div>\r
\t\t</div>\r
\t</div>\r
</div>\r
<div id="editTimerForm" title="''')
        _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 799, col 32
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 799, col 32.
        write(u'''"></div>\r
<div id="EPGModal" class="modal fade" role="dialog">\r
\t<div class="modal-dialog modal-lg">\r
\t\t<div class="modal-content">\r
\t\t\t<div class="modal-header">\r
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>\r
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">today</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # u"$tstrings['epg']" on line 805, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epg']")) # from line 805, col 94.
        write(u'''</span></h4>\r
\t\t\t</div>\r
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">\r
\t\t\t\t<div id="epgmodalcontent"></div>\r
\t\t\t</div>\r
\t\t\t<div class="modal-footer">\r
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 811, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 811, col 85.
        write(u'''</button>\r
\t\t\t</div>\r
\t\t</div>\r
\t</div>\r
</div>\r
<div id="EventModal" class="modal fade" role="dialog">\r
\t<div class="modal-dialog modal-lg">\r
\t\t<div class="modal-content">\r
\t\t\t<div class="modal-header">\r
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>\r
\t\t\t</div>\r
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">\r
\t\t\t\t\t<div id="eventdescriptionII"></div>\r
\t\t\t\t</div>\r
\t\t\t<div class="modal-footer">\r
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 826, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 826, col 85.
        write(u'''</button>\r
\t\t\t</div>\r
\t\t</div>\r
\t</div>\r
</div>\r
<div id="TimerModal" class="modal fade" role="dialog">\r
\t<div class="modal-dialog">\r
\t\t<div class="modal-content">\r
\t\t\t<div class="modal-header">\r
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>\r
\t\t\t\t<h4 class="modal-title" id="timerEditTitle"></h4>\r
\t\t\t</div>\r
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">\r
\t\t\t\t\t<div id="timereditmodal"></div>\r
\t\t\t\t</div>\r
\t\t\t<div class="modal-footer">\r
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 842, col 85
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 842, col 85.
        write(u'''</button>\r
\t\t\t\t<button type="button" class="btn waves-effect responsivebtn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 843, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 843, col 68.
        write(u'''" data-dismiss="modal" onClick="btn_saveTimer(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['save'] # u"$tstrings['save']" on line 843, col 142
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['save']")) # from line 843, col 142.
        write(u'''</button>\r
\t\t\t</div>\r
\t\t</div>\r
\t</div>\r
</div>\r
<div id="PowerModal" class="modal fade" role="dialog">\r
\t<div class="modal-dialog">\r
\t\t<div class="modal-content">\r
\t\t\t<div class="modal-header">\r
\t\t\t\t<button type="button" class="close" data-dismiss="modal">&times;</button>\r
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">settings_power</i><span>''')
        _v = VFN(VFFSL(SL,"tstrings",True)['powercontrol'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'powercontrol\'].replace(" ","&nbsp;")' on line 853, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'powercontrol\'].replace(" ","&nbsp;")')) # from line 853, col 103.
        write(u'''</span></h4>\r
\t\t\t</div>\r
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">\r
\t\t\t\t<hr/>\r
\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t<div class="col-xs-12 align-center">\r
\t\t\t\t\t\t<button type="button" class="btn waves-effect responsivebtn responsivebtnpower bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 859, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 859, col 89.
        write(u'''" class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 859, col 140
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 859, col 140.
        write(u'''" data-dismiss="modal" href="#" onclick="handle_power_state_dialog(new_power_state = 0); return false">\r
\t\t\t\t\t\t\t<h4>\r
\t\t\t\t\t\t\t\t<i class="material-icons">power_settings_new</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['standby_toggle'] # u"$tstrings['standby_toggle']" on line 862, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['standby_toggle']")) # from line 862, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</h4>\r
\t\t\t\t\t\t</button>\r
\t\t\t\t\t</div>\r
\t\t\t\t</div>\r
\t\t\t\t<hr/>\r
\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t<div class="col-xs-12 align-center">\r
\t\t\t\t\t\t<button type="button" class="btn waves-effect responsivebtn responsivebtnpower bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 870, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 870, col 89.
        write(u'''" class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 870, col 140
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 870, col 140.
        write(u'''" data-dismiss="modal" href="#" onclick="handle_power_state_dialog(new_power_state = 1); return false">\r
\t\t\t\t\t\t\t<h4>\r
\t\t\t\t\t\t\t\t<i class="material-icons">vertical_align_bottom</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['deep_standby'] # u"$tstrings['deep_standby']" on line 873, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['deep_standby']")) # from line 873, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</h4>\r
\t\t\t\t\t\t</button>\r
\t\t\t\t\t</div>\r
\t\t\t\t</div>\r
\t\t\t\t<hr/>\r
\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t<div class="col-xs-12 align-center">\r
\t\t\t\t\t\t<button type="button" class="btn waves-effect responsivebtn responsivebtnpower bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 881, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 881, col 89.
        write(u'''" data-dismiss="modal" href="#" onclick="handle_power_state_dialog(new_power_state = 2); return false">\r
\t\t\t\t\t\t\t<h4>\r
\t\t\t\t\t\t\t\t<i class="material-icons">loop</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['reboot_box'] # u"$tstrings['reboot_box']" on line 884, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['reboot_box']")) # from line 884, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</h4>\r
\t\t\t\t\t\t</button>\r
\t\t\t\t\t</div>\r
\t\t\t\t</div>\r
\t\t\t\t<hr/>\r
\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t<div class="col-xs-12 align-center">\r
\t\t\t\t\t\t<button type="button" class="btn waves-effect responsivebtn responsivebtnpower bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 892, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 892, col 89.
        write(u'''" class="theme-link-color theme-link-col-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 892, col 140
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 892, col 140.
        write(u'''" data-dismiss="modal" href="#" onclick="handle_power_state_dialog(new_power_state = 3); return false">\r
\t\t\t\t\t\t\t<h4>\r
\t\t\t\t\t\t\t\t<i class="material-icons">settings_backup_restore</i>\r
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['restart_gui'] # u"$tstrings['restart_gui']" on line 895, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['restart_gui']")) # from line 895, col 15.
        write(u'''</span>\r
\t\t\t\t\t\t\t</h4>\r
\t\t\t\t\t\t</button>\r
\t\t\t\t\t</div>\r
\t\t\t\t</div>\r
\t\t\t</div>\r
\t\t\t<div class="modal-footer">\r
\t\t\t\t<button type="button" class="btn btn-default waves-effect" data-dismiss="modal" onClick="closeMessageModal(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 902, col 130
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 902, col 130.
        write(u'''</button>\r
\t\t\t</div>\r
\t\t</div>\r
\t</div>\r
</div>\r
<div id="SendMessageModal" class="modal fade" role="dialog">\r
\t<div class="modal-dialog">\r
\t\t<div class="modal-content">\r
\t\t\t<div class="modal-header">\r
\t\t\t\t<button type="button" class="close" onClick="closeMessageModal(); return false;" data-dismiss="modal">&times;</button>\r
\t\t\t</div>\r
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">\r
\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">\r
\t\t\t\t\t<div class="card">\r
\t\t\t\t\t\t<div class="header">\r
\t\t\t\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">\r
\t\t\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">message</i>''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 919, col 75
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 919, col 75.
        write(u'''</h2>\r
\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t<div class="body">\r
\t\t\t\t\t\t\t<div class="form-group">\r
\t\t\t\t\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">\r
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['text'] # u"$tstrings['text']" on line 927, col 19
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['text']")) # from line 927, col 19.
        write(u''':&nbsp;</label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">\r
\t\t\t\t\t\t\t\t\t\t<div class="form-line">\r
\t\t\t\t\t\t\t\t\t\t\t<textarea class="form-control no-resize auto-growth active" rows="1" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['text'] # u"$tstrings['text']" on line 931, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['text']")) # from line 931, col 94.
        write(u'''" id="messageText"></textarea>\r
\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">\r
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['display_duration_s'] # u"$tstrings['display_duration_s']" on line 937, col 19
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['display_duration_s']")) # from line 937, col 19.
        write(u''':&nbsp;</label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">\r
\t\t\t\t\t\t\t\t\t\t<div class="form-line">\r
\t\t\t\t\t\t\t\t\t\t\t<input type="text" class="form-control inactive" value="30" id="messageTimeout">\r
\t\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">\r
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['type'] # u"$tstrings['type']" on line 947, col 19
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['type']")) # from line 947, col 19.
        write(u''':&nbsp;</label>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">\r
\t\t\t\t\t\t\t\t\t\t<select id="messageType" class="form-control">\r
\t\t\t\t\t\t\t\t\t\t\t<option value="1">''')
        _v = VFFSL(SL,"tstrings",True)['info'] # u"$tstrings['info']" on line 951, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['info']")) # from line 951, col 30.
        write(u'''</option>\r
\t\t\t\t\t\t\t\t\t\t\t<option value="2">''')
        _v = VFFSL(SL,"tstrings",True)['warning'] # u"$tstrings['warning']" on line 952, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['warning']")) # from line 952, col 30.
        write(u'''</option>\r
\t\t\t\t\t\t\t\t\t\t\t<option value="3">''')
        _v = VFFSL(SL,"tstrings",True)['error'] # u"$tstrings['error']" on line 953, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['error']")) # from line 953, col 30.
        write(u'''</option>\r
\t\t\t\t\t\t\t\t\t\t\t<option value="0">''')
        _v = VFFSL(SL,"tstrings",True)['yes_no'] # u"$tstrings['yes_no']" on line 954, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['yes_no']")) # from line 954, col 30.
        write(u'''</option>\r
\t\t\t\t\t\t\t\t\t\t</select>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t<div class="row clearfix">\r
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">\r
\t\t\t\t\t\t\t\t\t\t<div id="messageSentResponse"></div>\r
\t\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t\t</div>\r
\t\t\t\t\t\t</div>\r
\t\t\t\t\t</div>\r
\t\t\t\t</div>\r
\t\t\t</div>\r
\t\t\t<div class="modal-footer">\r
\t\t\t\t<button type="button" class="btn btn-default waves-effect" data-dismiss="modal" onClick="closeMessageModal(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # u"$tstrings['close']" on line 969, col 130
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['close']")) # from line 969, col 130.
        write(u'''</button>\r
\t\t\t\t<button type="button" class="btn waves-effect responsivebtn bg-''')
        _v = VFFSL(SL,"skinColor",True) # u'$skinColor' on line 970, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$skinColor')) # from line 970, col 68.
        write(u'''"  onClick="sendModalMessage(); return false;">''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 970, col 125
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 970, col 125.
        write(u'''</button>\r
\t\t\t</div>\r
\t\t</div>\r
\t</div>\r
</div>\r
\t\r
<form name="portForm" action="web/stream.m3u" method="GET" target="_blank">\r
\t<input type="hidden" name="ref">\r
\t<input type="hidden" name="name">\r
\t<input type="hidden" name="device">\r
</form>\r
<form name="portFormTs" action="web/ts.m3u" method="GET" target="_blank">\r
\t<input type="hidden" name="file">\r
\t<input type="hidden" name="device">\r
</form>\r
\t\r
<script type="text/javascript">\r
\t$(document).ready(function() {\r
\t\t$("#remote_container").load("static/remotes/''')
        _v = VFFSL(SL,"remote",True) # u'${remote}' on line 988, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'${remote}')) # from line 988, col 48.
        write(u'''.html");\r
\t\tdirectlink();\r
\t});\r
\tSetLSValue(\'TimerListOffset\',0);\r
</script>\r
<script src="themes/absb/plugins/bootstrap/js/bootstrap.min.js"></script>\r
<script src="themes/absb/plugins/bootstrap-select/js/bootstrap-select.min.js"></script>\r
<script src="themes/absb/plugins/jquery-slimscroll/jquery.slimscroll.js"></script>\r
<script src="themes/absb/plugins/autosize/autosize.min.js"></script>\r
<script src="themes/absb/plugins/node-waves/waves.min.js"></script>\r
<script src="themes/absb/plugins/jquery-countto/jquery.countTo.js"></script>\r
<script src="themes/absb/plugins/nouislider/nouislider.min.js"></script>\r
<script src="themes/absb/plugins/sweetalert/sweetalert.min.js"></script>\r
<script src="themes/absb/plugins/momentjs/moment.js"></script>\r
<script src="themes/absb/js/vti-bootstrap-date-timepicker.js"></script>\r
<script src="themes/absb/js/admin.js"></script>\r
<script src="themes/absb/js/vti-responsive.js"></script>\r
<script type="text/javascript">initJsTranslationAddon(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # u'$dumps($tstrings)' on line 1005, col 55
        if _v is not None: write(_filter(_v, rawExpr=u'$dumps($tstrings)')) # from line 1005, col 55.
        write(u''')</script>\r
</body>\r
\r
</html>\r
 \r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_main= 'respond'

## END CLASS DEFINITION

if not hasattr(main, '_initCheetahAttributes'):
    templateAPIClass = getattr(main, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(main)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=main()).run()


